[Libreoffice-commits] core.git: Branch 'distro/collabora/cp-5.1' - bin/pack-debug

László Németh laszlo.nemeth at collabora.com
Tue Dec 20 12:20:41 UTC 2016


 bin/pack-debug |   20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

New commits:
commit 157cae20a42780c7cdfcfdc8c925baabf82b6f51
Author: László Németh <laszlo.nemeth at collabora.com>
Date:   Tue Dec 20 13:19:08 2016 +0100

    pack-debug: add --only-rpm and --only-deb options
    
    Change-Id: Ib4b7214d3bcea145609818ff036376d6932f5610

diff --git a/bin/pack-debug b/bin/pack-debug
index fe02304..a3ac2b0 100755
--- a/bin/pack-debug
+++ b/bin/pack-debug
@@ -12,6 +12,18 @@
 # build path
 export BUILD_PATH=$PWD
 
+if [ $# -gt 0 ]
+then
+ for i in "$@"
+ do
+  case $i in
+--only-rpm) ONLY_RPM=1;;
+--only-deb) ONLY_DEB=1;;
+*) echo "Usage: pack-debug [--only-rpm | --only-deb]" && exit 1;;
+  esac
+ done
+fi
+
 # set install dirname and product version
 if [ ! -f config.log ]; then
     echo "config.log not found. Run this script from build root."
@@ -308,12 +320,12 @@ cd $BUILD_PATH
 }
 
 # start deb re-build
-test "$(find workdir/installation/CollaboraOffice/deb/listfile -name '*.lst')" != "" && repack_deb || \
-	echo 'Missing EPM lst files. Skip DEB debug package generation.'
+test -z "$ONLY_RPM" -a "$(find workdir/installation/CollaboraOffice/deb/listfile -name '*.lst')" != "" && repack_deb || \
+	echo 'Skip DEB debug package generation (--only-rpm or missing EPM lst files).'
 
 # start rpm re-build
-test "$(find workdir -name '*spec.log')" != "" && repack_rpm || \
-	echo 'Missing RPM spec files. Skip RPM debug package generation.'
+test -z "$ONLY_DEB" -a "$(find workdir -name '*spec.log')" != "" && repack_rpm || \
+	echo 'Skip RPM debug package generation (--only-deb or missing RPM spec files).'
 
 
 


More information about the Libreoffice-commits mailing list